Bug 794990 - Review Request: get-flash-videos - CLI tool to download flash video from websites
Review Request: get-flash-videos - CLI tool to download flash video from web...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 794985 794988
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-18 10:17 EST by Alec Leamas
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 08:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
psabata: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Alec Leamas 2012-02-18 10:17:58 EST
Spec : http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP.spec
SRPM: http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP-1.12-1.fc15.src.rpm

Download videos from various Flash-based video hosting sites, without
having to use the Flash player. Handy for saving videos for watching
offline, and means you don't have to keep upgrading Flash for sites that
insist on a newer version of the player.

It's similar to youtube-dl, but covers a larger set of websites, including some where I live :)

This has been on RPMFusion's wishlist for some time, but I see no reason why this shouldn't go to Fedora so I submit it here.

rpmlint is quiet besides weird spelling-errors warnings (also on installed package) and a warning about a properly commented source URL.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3801176  (f17)
Comment 1 Alec Leamas 2012-02-18 10:20:04 EST
I don't have a package, and thus needs a sponsor
Comment 2 David Timms 2012-02-18 18:50:31 EST
(In reply to comment #0)
> Spec : http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP.spec
> SRPM:
> http://dl.dropbox.com/u/17870887/perl-Crypt-Blowfish_PP-1.12-1.fc15.src.rpm

Alec: something seems wrong with your URLs !
Comment 3 Alec Leamas 2012-02-19 04:16:33 EST
Odd. Works for me. Transient?
Comment 4 David Timms 2012-02-19 05:03:28 EST
We usually name the spec according to the package name, not:
ie get-flash-videos rather than perl-Crypt-Blowfish_PP.spec
Comment 5 Alec Leamas 2012-02-19 05:37:16 EST
Woa... A certain class of errors are simply embarrasing. Sorry for missing twice. New links:
spec: http://dl.dropbox.com/u/17870887/get-flash-videos.spec
srpm: http://dl.dropbox.com/u/17870887/get-flash-videos-1.24-2.20120205git8abc6c6.fc15.src.rpm
Comment 8 Petr Šabata 2012-02-28 08:54:48 EST
I've just noticed (halfway through the review) this package relies on rtmpdump which is not (and won't be) in Fedora.

You'd have to strip all the modules that use it which would cripple the package.  I'm closing this as CANTFIX.
Comment 9 Alec Leamas 2012-02-28 11:58:39 EST
It's probably best to close it here, agreed. Sorry for taking your time w this.
--a

Note You need to log in before you can comment on or make changes to this bug.